---
title: MediaKeySession.onmessage
slug: Web/API/MediaKeySession/onmessage
---
<p>{{APIRef("Encrypted Media Extensions")}}{{ SeeCompatTable() }}</p>

<p><span class="seoSummary">The <strong><code>onmessage</code></strong> property of the {{domxref("MediaKeySession")}} is an event handler, fired whenever a {{domxref("MediaKeyMessageEvent")}} occurs, denoting a message is generated by the content decryption module.</span></p>

<p>This interface inherits from the {{domxref("ExtendableEvent")}} interface.</p>

<p>{{InheritanceDiagram(700, 60, 20)}}</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">MediaKeySession.onmessage = function(MediaKeyMessageEvent) { ... }
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME','#dom-mediakeysession-onmessage','onmessage')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySession.onmessage")}}</p>
</div>
